button,
input,
select,
textarea {
  font-family: inherit;
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

form {
  font-family: "Fira Sans", sans-serif;
  padding-left: 1rem;
}
form > div:not(:last-of-type) {
  padding-bottom: 1rem;
}
form input:focus {
  outline: red;
}
form label {
  display: block;
  width: -moz-fit-content;
  width: -webkit-fit-content;
  width: fit-content;
}
form label.inline {
  display: inline;
}
form input {
  padding: 0.5rem;
}
form input[type=color] {
  box-sizing: content-box;
  min-height: 2.5rem;
  border: none;
  padding: 0;
}
form input[type=checkbox] {
  margin: 0.5rem 0 1rem;
  height: 2.5rem;
  width: 2.5rem;
}
form input[type=radio] {
  margin: 0.5rem 0;
  height: 1rem;
  width: 1rem;
}
form input[id=real]:checked ~ .hidden-text {
  display: inline;
}
form input[id=real]:checked ~ .unhidden-text {
  display: none;
}
form .hidden-text {
  position: relative;
  bottom: 0.9rem;
  display: none;
}
form .unhidden-text {
  position: relative;
  bottom: 0.9rem;
  display: inline;
}
form fieldset {
  width: -moz-fit-content;
  width: -webkit-fit-content;
  width: fit-content;
  padding-right: 4rem;
}